summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-mud/trebuchet/trebuchet-1.075.ebuild')
-rw-r--r--games-mud/trebuchet/trebuchet-1.075.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/games-mud/trebuchet/trebuchet-1.075.ebuild b/games-mud/trebuchet/trebuchet-1.075.ebuild
new file mode 100644
index 00000000000..80f816b69f4
--- /dev/null
+++ b/games-mud/trebuchet/trebuchet-1.075.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit games
+
+DESCRIPTION="A crossplatform TCL/TK based MUD client"
+HOMEPAGE="http://belfry.com/fuzzball/trebuchet/"
+SRC_URI="mirror://sourceforge/trebuchet/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE=""
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-lang/tk-8.3.3:0=
+ dev-lang/tcl:0="
+
+src_prepare() {
+ sed -i \
+ -e "/Nothing/d" \
+ -e "/LN/ s:../libexec:${GAMES_DATADIR}:" \
+ Makefile || die
+}
+
+src_install() {
+ emake prefix="${D}/${GAMES_PREFIX}" \
+ ROOT="${D}/${GAMES_DATADIR}/${PN}" install
+
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins COPYING
+ dodoc changes.txt readme.txt trebtodo.txt
+ prepgamesdirs
+}